Eclipse Remote Application Platform

## org.eclipse.swt.events
Class HelpEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.HelpEvent

    public final class HelpEvent

extends TypedEvent

Instances of this class are sent as a result of widgets gaining and losing focus.

Since:
  1.3
See Also:
  `FocusListener`

Field Summary

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Constructor Summary
`HelpEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HelpEvent

    public HelpEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

  Parameters:
    `event` - the untyped event containing the information

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0